Subject: Re: Extended: Consultation on IETF LLC Draft Strategic Plan 2020

From: Stephen Farrell <[email-masked]>
Date: Tue, 12 May 2020 04:05:05 +0100

Possibly replying too quickly again, sorry;-)

On 12/05/2020 03:09, IETF Executive Director wrote:
> The IETF Administration LLC consultation on its Draft Strategic Plan
> 2020 [1] has been extended until Monday 1 June 2020.  It will be
> extended again if required.

This seems to say that the LLC exec director has decided
to extend the period during which community input on the
LLC exec director's plans will be evaluated by the LLC
exec director. I continue to find that unacceptable. (*)

Cheers,
S.

(*) Without at all questioning the IETF exec director's
bona fides in this. I do believe all involved here are
acting in good faith.

---

From: Jay Daley <[email-masked]>
Date: Tue, 12 May 2020 15:10:41 +1200

> On 12/05/2020, at 3:05 PM, Stephen Farrell <[email-masked]> wrote:
> 
> 

You asked for it to be extended and so it was extended.  What other outcome or process would you have expected to see?

Jay

> <0x5AB2FAF17B172BEA.asc>

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Stephen Farrell <[email-masked]>
Date: Tue, 12 May 2020 22:06:57 +0100

Hiya,

On 12/05/2020 04:10, Jay Daley wrote:
>>> The IETF Administration LLC consultation on its Draft Strategic 
>>> Plan 2020 [1] has been extended until Monday 1 June 2020.  It 
>>> will be extended again if required.
>> 
>> This seems to say that the LLC exec director has decided to extend 
>> the period during which community input on the LLC exec director's 
>> plans will be evaluated by the LLC exec director. I continue to 
>> find that unacceptable. (*)
> 
> You asked for it to be extended and so it was extended.  What other 
> outcome or process would you have expected to see?
> 

So part of my problem with this is that I think parts of
what you propose as LLC strategy needs IETF consensus so
that in turn means I don't think it ought be you, as the
LLC exec dir, who decides the timeline and the rest of
the process.

But, I promised a review of the actual text, that's below
but overall I think the text is overlong and overreaches
in ways that could lead to the LLC setting policies for the
IETF. That isn't ok. Sorry to be so negative but I think
this would be best refactored down to something much
smaller and that very carefully doesn't accidentally put
the LLC into a position of controlling what the IETF does.
I make specific comments below, but would suggest those not
be used for wordsmithing, but rather that this document be redone
starting afresh.

Cheers,
S.

- Many people will not comprehend that "Strategic Plan 2020"
  refers to the LLC and not the IETF. Many people will have no
clue that the LLC is not the IETF.  This exercise needs to be
properly scoped down so that confusion is much less likely to
arise. I suggest a long and boring, but accurate, title such as
"2020-2025 plan for IETF LLC administrative actions."

- The introduction needs to make it clear what the LLC is and
  what it is not.  As we've seen from on-list comments, people
will confuse plans for the LLC and IETF. That text might be
something like: "The IETF Administration LLC (IETF LLC) provides
the corporate legal home for the IETF, the Internet Architecture
Board (IAB), and the Internet Research Task Force (IRTF). The
IETF LLC exists to serve the needs of the IETF community, and
does not 'lead' the IETF comminity."

- Mission. I suggest reversing the community/leadership, e.g.:

    OLD:

    The best possible support corporation to the IETF/IRTF/IAB
    and their communities

    NEW:

    The best possible support corporation to fullfil the
    administrative needs of the IETF and IRTF communities and
    leadership (IESG/IRSG/IAB).

- I think a similar change to put community first instead of
  "IETF/IRTF/IAB" should be done throughout.

- Evidence - I think that'd be better as "Evidence led: In
  following the IETF community consensus, the IETF LLC will use
evidence, both qualitative and quantitative, as the primary
driver of its decision making."

- "The LLC will focus solely on its defined role and within its
  defined mandate." I think that needs references, to make it
understandable.

- "As the IETF LLC is a support organisation to the
  IETF/IRTF/IAB, the strategic goals should ideally reflect
their strategic goals." As written, this makes no sense to me,
given the IETF lacks strategic goals.

- "predominant" - I don't believe there is IETF consensus to
  domiate the world in the way that's implied here.

- "To secure long-term funding for the LLC/IETF/IRTF/IAB that is
  more than sufficient to meet their plans." What plans? AFAIK
we don't and won't have a community plan for what budget we'll
need in 2025. I think that'd be better as some kind of
extrapolation from e.g. the current budget that the community
have had a chance to consider. (Not that we do;-) Or, the LLC
board might establish whether or not the community would like to
plan further ahead. If there were consensus on that, then it
might be appropriate to state this goal.

- "To ensure the value of the IETF is well understood by
  participants and key stakeholders beyond." I don't believe
this is a goal for the LCC. I think it would be overreach for
the LLC to try represent the views of the IETF to
"stakeholders". As an AD, I was always careful to never do that
unless there was an RFC or BCP or similar to point at.

- The term "stakeholders" is IMO inappropriate.

- "To rapidly mature the IETF LLC into an organization..." that
  reads to me like a statement I'd see in the usual commercial
"take over the world" kind of plan.  I hope we have as a goal
that the LLC be lean, and not bloated. Where is that represented
here?

- "To deliver a modern and universally well regarded toolchain
  supporting all the steps of the standards development
process." Almost all the terminology here is undesirable and
this doesn't recognise the volunteer aspect that has and I hope
will continue to be important. "deliver" implies "here's what
I'm giving you" "modern" isn't meaningful, "univerally well
regarded" is not a thing that happens in the IETF, and "all the
steps" is wrong - a number of things that are needed (e.g.
thinking, talking, coding) don't need such tooling.

- "The focus currently is very much on developing capability and
  capacity" that reads to me as if there is a desire for a
bigger LLC and not for a lean LLC.

- Transformation#1 seems to me to imply the LLC tells the IETF
  what to do.  That isn't acceptable. I don't believe it's the
LLC's job to try "fix" the IETF in terms of (our lack of)
strategy. The stated result is not possible, as none of the
IESG, IRSG  nor IAB can set strategic objectives for 5 years
time and the community has not given those bodies any such
strategic objectives.

- "Policy set complete, fully bedded in and signed off by ISOC."
  The term "Policy set" needs to be defined, so that it is clear
that it only refers to policies to which the LLC ought adhere
and that ought be approved by ISOC.  There are other policies
that the community ought control e.g. the output from
meeting-venue that don't fit here.

- "Clear, strongly supported and well articulated value
  proposition for the IETF/IRTF/IAB that supports all our
engagements." That reads to me like marketing gibberish (hey,
I'm an academic:-) but if such a thing is needed, it is not up
to the LLC to drive that process.

- "participant journey" - what is that? If it means how people
  engage with the IETF and then fall away from that then I don't
accept that the LLC ought drive what we want there.

- "Full set of high quality content that enables us to deliver a
  compelling demonstration of the value of the IETF to any key
stakeholder." I think that is a job for the IESG. They may ask
for LLC help, but it is not a job to be lead by the LLC.

- "cutting edge" - where is the IETF consensus statement on
  that?  I don't believe it exists. There have been many cases
of so-called "cutting edge" technology proposals that were
nonsensical crap.

- A "compelling case" seems like more marketing terminology.

- "As the form of the value proposition is unlikely to be
  something many participants are familiar with, achieving
acceptance let alone positive agreement could be challenging and
the LLC may need to use an interim value proposition for those
areas, such as funding, which would be significantly delayed
otherwise." I have no idea what that means, but I think I
dislike it:-) It sounds a bit like "we'll tell you what's good
about you even if you don't agree with that."

- "A defined and measured participant journey is"... not the
  LLC's business.  If the community change the standards process
to do away with WG chairs or ADs, that's not a thing in which
the LLC ought have a say. Making such statements here either
implies that the LLC will do this or that the IETF needs to get
off its ass and do this. Even if that last is true, it is not
the LLC's job to deliver that kick.

- What does "(for LLC services)" mean? Whatever it means
  precisely, I think it needs to be clear throughout and not a
parenthetical aside near the end of the document.

- "a major programme of surveys" - I hope not! But you might be
  right.  Where is the evidence that this will be useful?

- " benchmarked against comparable organisations including other
  SDOs" I don't believe that we want to be like all other SDOs.
I'd be surprised if there were consensus for my position, or for
the one stated in the document here.

- A goal "for a zero carbon IETF" is one I tihnk I'd agree with,
  but it needs to be an IETF consensus and not an LLC policy.
That also means defining it well. That ought be much more
clearly brought up with the community and not introduced near
the end of a document like this.

- "a modern architecture and modern user experience" I don't
  think the LLC ought set the UX guidelines for IETF tools, nor
decide that the architecture ought be "modern." Those are IETF
community decisions to make, after which the LLC ought set about
delivery.  (Whether or not it's a good plan to migrate from
bespoke tooling to today's fashion needs to be an IETF community
discussion, ever one of the many times we need to have that
discussion.)

- "increasingly unrealistic and inefficient" where is the
  evidence of that? It may be true, but I don't think I've seen
it.

- "a world of cloud apps, APIs and web services" - meh, that's
  more marketing IMO. Those web based APIs can be turned off and
that's a major downside that needs to be recognised.

- "A new group to look at the big picture, set out a vision and
  user requirements" I don't like big pictures. The LLC is not
the body that should set any "vision" for IETF tools.

---

From: "Pete Resnick" <[email-masked]>
Date: Tue, 12 May 2020 17:38:03 -0500

Hi Stephen,

On 12 May 2020, at 16:06, Stephen Farrell wrote:

> ... overall I think the text is overlong and overreaches

Caveat that Jay can (and should) state his own view on the matter: While 
I agree with you that some of the items in the document are beyond the 
scope of what the LLC ought to be doing (some of them are variants of 
things I mentioned in my message and that others have mentioned as 
well), I don't think on the whole the document structure is an overreach 
or needs to be redone from the beginning. But maybe there are some of 
your statements that I don't understand. Trimming as I go on the items 
which seem like reasonable edits or that are overreaches with which I 

> given the IETF lacks strategic goals.

We don't? Is "creating useful Internet standards" not a strategic goal? 
Perhaps "meeting in plenary 3 times a year to advance our work on 
Internet standards" is too tactical, but it's some sort of goal, and the 
output of MTGVENUE seemed a bit strategic. We don't have a "strategic 
plan" of the sort that the LLC seems to be creating for themselves, but 
I feel like maybe we do have some stated strategic goals from time to 
time.

But even if we don't, couldn't this be fixed to simply say that the 
LLC's strategic goals should be set to reflect IETF/IRTF/IAB expressed 
administrative needs and desires?

>   more than sufficient to meet their plans." What plans?

I assumed our plans included meeting a few times a year in plenary, 
having technology to do online interim meetings, having tools to manage 
our documents and standards activities, etc. Isn't that what we want the 
LLC to secure long-term funding for?

> that the LLC be lean, and not bloated. Where is that represented

Being "mature" does not seem incompatible with being "lean".

> bigger LLC and not for a lean LLC.

I think that was stated as the current problem, not the desire.

> time and the community has not given those bodies any such

This one I truly don't get. The transformation (the "To" part) sounds 
like it's saying, "Talk to the IESG/IRSG/IAB and make sure that the 
LLC's objectives align with theirs", not fixing their objectives. Even 
if those bodies don't have 5 year time horizons on their objectives, 
nothing says that the LLC can't try to figure out what it's 5-year goals 
will be based on what the IESG/IRSG/IAB are saying about their next year 
or two. I just don't see the implication you're seeing. Can you explain 
how you got there better?

> to the LLC to drive that process.

I thought this meant that the LLC should have a clear sales pitch to 
(e.g.) potential funders about what's good about the IETF/IRTF/IAB. I 
think the LLC is the right group to do that. Is that not how you read 
it?

I suspect that the answer(s) to the above questions will help me figure 
out why I think there are just a bunch of important edits whereas you 
think this needs a major restructuring or rewrite. But I'm not seeing it 
at the moment.

Cheers,

pr
-- 
Pete Resnick https://www.episteme.net/
All connections to the world are tenuous at best

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 13 May 2020 00:14:02 +0100

Hiya,

On 12/05/2020 23:38, Pete Resnick wrote:
> We don't? 

I don't know the URL or RFC number for the current set
of "IETF strategic goals," so I think, no, we do not.

> Is "creating useful Internet standards" not a strategic goal?

I don't think it is really, in this context. Presumably
many of us would also like "processes that don't take
forever" and that'd be in conflict with your putative
goal above from time to time and topic to topic. The IETF
hasn't said how to balance those so I don't think the LLC
can take a position on where we might land. (It may be a
fine outcome of this process to identify things the IETF
can and ought strategise about I guess.)

> I feel like maybe we do have some stated strategic goals from time to time.

So the LLC gets to randomly pick the (parts of the)
BCPs it would like to map to an "LLC strategy"? It's
not that I mistrust anyone - I just don't think that
is an ok decision to put upon the LLC.

> administrative needs and desires?

Maybe. But that raises the concern that the LLC, being
better organised with a strategy starts to determine the
"administrative needs and desires" of the IETF. I do
like the idea the LLC has longer term plans, but those
need to be carefully scoped/constrained.

> LLC to secure long-term funding for?

I'm not clear we have those plans for 2025. In 2010 it
would have been clearer that we probably did have those
plans for 2015 but I'm not sure it remains the case.
(That's not a covid-related change, I think our current
modus operandi has been becoming less defensible for a
while.)

> Being "mature" does not seem incompatible with being "lean".

There is no sense in the document that "lean" is a goal.
There is a stated desire to dominate.
I'm unkeen on the latter myself and very keen on the
former.

> I think that was stated as the current problem, not the desire.

Kinda the same point as the one above, but I was more
reacting to "build capacity" as a desire, and interpreting
that to maybe mean "bigger LLC" is good.

> how you got there better?

I can try. I think the IESG (for example) can't set itself
goals/objectives for 2025 because of how we setup the
nomcom process. That's a good thing with undesirable
consequences for longer term planning. If the LLC set
itself a goal/objective for 2025 in agreement with the
2020 IESG, and then tell the 2024 IESG "no, you can't
do <y> because the 2020 IESG agreed with us to do <x>"
then I think that's giving power and initiative to the
LLC that isn't what we intended when setting up the LLC.
There need to be somewhat well-defined limits to the
kinds of policy/strategy/goal/objectives we're dealing
with here to ensure that doesn't happen for damaging
cases. There isn't  really anything in the current text
that envisages such limits.

> think the LLC is the right group to do that. Is that not how you read it?

I don't read "all our engagements" as being limited to
"pitching to funders." The current text could be read to
allow/encourage LLC staff going around promoting the IETF
at random trade shows. If what's intended is much more
limited, then the text needs to reflect that.

> think this needs a major restructuring or rewrite. But I'm not seeing it

TBH, I think there are so many mismatches that a restart
may be better. I can totally get why Jay would like the
LLC to have sensible longer term plans, but I think those
need much more careful framing to help preserve some parts
of what's good about the IETF setup. I further assume
we all share preservation of such things, or better, as a
goal. (Though merely being preserved isn't a super-
attractive sounding goal:-)

Cheers,
S.

---

From: Jay Daley <[email-masked]>
Date: Wed, 13 May 2020 16:54:51 +1200

> On 13/05/2020, at 9:06 AM, Stephen Farrell <[email-masked]> wrote:
> 

As you will see below, where there are things that we agree need consensus and that consensus does not exist then I have added an issue to either remove or amend them, to follow the intent of this not being a consensus document but a "this is how we are going to deliver consensus" document.

> be used for wordsmithing, but rather that this document be redone

Until such time as it becomes clear that there is strong support for that view I will treat your comments as individual issues.

> "2020-2025 plan for IETF LLC administrative actions."

Added as issue https://github.com/ietf-llc/strategy-2020-consultation/issues/21

> IETF LLC exists to serve the needs of the IETF community,

Added as https://github.com/ietf-llc/strategy-2020-consultation/issues/22

> and

Unnecessary.

>  "IETF/IRTF/IAB" should be done throughout.

Looking at this again from the context of our comments I think the "and their communities" is superfluous.  Added as https://github.com/ietf-llc/strategy-2020-consultation/issues/23

> driver of its decision making."

The Responsive value earlier says "The LLC will act consistently with the documented consensus of the IETF" and that doesn’t need to be restated everywhere else.

>  defined mandate." I think that needs references, to make it

Updated this issue https://github.com/ietf-llc/strategy-2020-consultation/issues/11 which is about adding references to include a reference to RFC 8711 section 4.3 "General IETF LLC Responsibilities".

> given the IETF lacks strategic goals.

It does say "ideally" and it goes on to say "However, as those are neither well understood nor well defined, some assumptions are required.".  I’ve added an issue based on Pete’s suggestion to change that second sentence to something like "However, while those are neither well understood nor well defined, these are extrapolated from IETF/IRTF/IAB expressed administrative needs and desires".

>  domiate the world in the way that's implied here.

Already captured as https://github.com/ietf-llc/strategy-2020-consultation/issues/13

> might be appropriate to state this goal.

As Pete said, there are plans for meetings, tools etc.  i understand that you doubt the wisdom of continuing the same way and if that becomes a consensus view then we will adjust our funding targets in response.

> - The term "stakeholders" is IMO inappropriate.

This breaks down into a number of parts

- first is recognising the leadership role the EMO Directorate has, which is already captured in https://github.com/ietf-llc/strategy-2020-consultation/issues/5

- second is being more specific than "stakeholder", which is something like "participants, supporters and the broader community" and is already captured as https://github.com/ietf-llc/strategy-2020-consultation/issues/14

> that the LLC be lean, and not bloated. Where is that represented

The full goal is "To rapidly mature the IETF LLC into an organization that fully meets its values and has strong community support and approval", which is explicit in how success is measured and links directly to the community.

Can you point me to the appropriate IASA2 document which specifies that the LLC must be lean and not bloated and how that is defined?

> will continue to be important.

The narrative to the Tools Transformations later on states:

"The area of IETF tools has grown organically over many years and due largely to the contribution of a small number of people.  This has delivered valuable functionality and we have a well supported, productive and featured-packed toolchain."

It is worth noting that over the last few years (not sure how long as this predates me) a number of key volunteers have become contractors.

> "deliver" implies "here's what
> I'm giving you"

The more common implication of "deliver" is "delivering what people ask us to deliver".  

> "modern" isn't meaningful, "univerally well

Partly already captured as https://github.com/ietf-llc/strategy-2020-consultation/issues/6 to which I’ve added removing "all the steps"

> bigger LLC and not for a lean LLC.

See my response above.

> time and the community has not given those bodies any such

As Pete says, this is pretty clearly about ensuring that the LLC strategy follows and aligns with the strategy of the IESG/IRSG/IAB as RFC 8711 section 4.6 says 

  "However, the nature of the Board's
   work involves treating the IESG, IRTF, and IAB as major internal
   customers of the administrative support services."

> meeting-venue that don't fit here.

Added as https://github.com/ietf-llc/strategy-2020-consultation/issues/25

> to the LLC to drive that process.

Without a value proposition we cannot expect to broaden our set of funders beyond those few large companies that are already heavily engaged in the IETF.  For example, if we want to engage with private foundations to get the kind of support that ISOC provides us then we will need to very clearly articulate the value proposition of the IETF.

The transformations need to be seen in terms of what the LLC needs to do its job and will attempt to carry out but not that it has to take the lead or try to define the content of the output.  This is one where ideally the leadership and content would come from the community but it is not clear to me if there are enough interested participants who do not see this as "marketing gibberish" to make that happen and so in the narrative I’ve erred on the side of the LLC needing to produce an interim while the community does its thing:

"As the form of the value proposition is unlikely to be something many participants are familiar with, achieving acceptance let alone positive agreement could be challenging and the LLC may need to use an interim value proposition for those areas, such as funding, which would be significantly delayed otherwise."

I’ve added https://github.com/ietf-llc/strategy-2020-consultation/issues/26 to make it clearer in that paragraph above that this will be ideally be led by the community.

> accept that the LLC ought drive what we want there.

This is explained in the text:

"Closely linked to a value proposition, is a participant journey (aka customer journey) which documents the different stages of participation (e.g. newcomer, leadership), how people enter one of those stages and how they transition between them.  This is used as the basis for our communications and engagement (i.e. targeting specific stages). "

The sentence after that is the contentious one "A defined and measured participant journey is crucial to ensuring we have a long term pipeline of participants" and rather than explore that I will simply remove it  https://github.com/ietf-llc/strategy-2020-consultation/issues/27

> for LLC help, but it is not a job to be lead by the LLC.

This is already planned to change to "participants, supporters and the broader community" and will indeed be done within the auspices of the IESG as it has been for some years I believe.  I’ve added that explicitly to https://github.com/ietf-llc/strategy-2020-consultation/issues/5

> of so-called "cutting edge" technology proposals that were

Added as https://github.com/ietf-llc/strategy-2020-consultation/issues/28

> about you even if you don't agree with that."

See above.

> the LLC's job to deliver that kick.

See above.

> parenthetical aside near the end of the document.

Without the parenthetical it would not be clear of the scope.  For others the scope is clear.

>  right.  Where is the evidence that this will be useful?

i would hope the basis for data collection is self-evident.

> the one stated in the document here.

Benchmarked does not mean following, it only means comparing like for like.  There have already been multiple requests for comparable data, such as the cost of document production compared to other SDOs.

> the end of a document like this.

Yes you’re right, the scope needs to be limited to data collection for the community to then decide the next steps.  Added as https://github.com/ietf-llc/strategy-2020-consultation/issues/29

> that's a major downside that needs to be recognised.

This not about shifting from bespoke tooling but about how those tools interact with other tools and how people interact with them, and you are assuming that means third party commercial apps rather than bespoke apps running in our self-managed containers and connected by APIs that we define.  

I could ask you, have the community stated they don’t want a modern architecture and modern user experience? and if not then why should we not aim for that?  Having said that, now that there is the new Tools Architecture and Strategy team in place this transformation can be rewritten as implementing their requirements.

https://github.com/ietf-llc/strategy-2020-consultation/issues/30

> the body that should set any "vision" for IETF tools.

That’s what the TAS is and that can now be replaced with a reference to implementing their requirements.  Added to the issue above.

Thanks for taking the time for such a detailed review.

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 13 May 2020 12:37:08 +0100

Hiya,

Where I suggested starting over, you said:

On 13/05/2020 05:54, Jay Daley wrote:
> Until such time as it becomes clear that there is strong support for
> that view I will treat your comments as individual issues.
That's fair.

That said, I'm unclear whether the result of processing all
those issues in the way I'd best like could result in
something with which I'd be ok. However, with 30 open
issues, I reckon that probably amounts to a bit of a re-
write anyway, so hopefully that'll be the next stage here.
IOW, I really hope the plan is to work those issues, do a
fairly big edit and then ask the community again. Is it?

(If the plan were to simply resolve/close the github issues
without more community review/discussion and then declare
victory I'd be objecting to that.)

>> does not 'lead' the IETF comminity."

Strongly disagree. The LLC will handle the money. I think
it is entirely necessary to constantly document our goal
that despite holding the purse-strings, the LLC does not
call the shots, as that is an extremely peculiar setup.
We need to call that out for readers who might not know
it, and also keep reminding ourselves too.

Cheers,
S.

---

From: S Moonesamy <[email-masked]>
Date: Wed, 13 May 2020 11:39:29 -0700

Hello,
>it, and also keep reminding ourselves too.

The point which Stephen raised was discussed during the work which 
led to the setup of a LLC.  It was argued that the IETF should not be 
concerned about putting in safeguards to prevent that as it is the 
type of issue which would not be a problem for the IETF as it is 
different from every other organization in the world.

I understand that it is better to make one-sided arguments to win an 
argument.  However, I am not enthusiastic about winning 
arguments.  Ihe LLC Executive Director made some good points, e.g. it 
would be difficult to sell the product as it is not clear what the product is.

I would like to thank the LLC for its responsiveness.  There are some 
points on which I disagree, e.g. using a different approach to send a 
memorandum to the IETF community.  The approach for this consultation 
comes out as driving the draft through with the LLC deciding about, 
for example, IAB values, objectives, etc.  My experience of 
disagreeing with Stephen is that does not work well.

Regards,
S. Moonesamy

---

From: Jay Daley <[email-masked]>
Date: Thu, 14 May 2020 06:59:09 +1200

> On 13/05/2020, at 11:37 PM, Stephen Farrell <[email-masked]> wrote:
> 
> 
> Hiya,
> 

Yes

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Stephen Farrell <[email-masked]>
Date: Wed, 13 May 2020 20:09:53 +0100

>> fairly big edit and then ask the community again. Is it?

Great, thanks. I've logged in to the githubbery and done
the watch repo thing so I'll also see discussion if some
happens there, as well.

Cheers,
S.

---

From: Jay Daley <[email-masked]>
Date: Tue, 26 May 2020 16:08:26 +1200

I’ve started addressing the issues you each raised in a separate branch in the GitHub repo.  You can see all the commits with my proposed amendments and the issues they address here https://github.com/ietf-llc/strategy-2020-consultation/commits/latest-updates-from-consultation/DRAFT%20Strategic%20Plan%202020.md <https://github.com/ietf-llc/strategy-2020-consultation/commits/latest-updates-from-consultation/DRAFT%20Strategic%20Plan%202020.md>  I’m about 50% of the way through and I started with issues affecting the text from the top down so I have addressed everything before the transformations section.

There’s only one issue so far that I don’t think I should address, which is adding mission statements for IAB etc, as raised by Martin.  My reason being that doing so would distract from the narrow scope of the strategy, which has been clarified quite a bit by additions in response to other feedback:

https://github.com/ietf-llc/strategy-2020-consultation/commit/ee247b6074156bddd0f98e330d0bcefc296fe637#diff-ace2c9f1dd155e5220c2a50de0c79018 <https://github.com/ietf-llc/strategy-2020-consultation/commit/ee247b6074156bddd0f98e330d0bcefc296fe637#diff-ace2c9f1dd155e5220c2a50de0c79018>
https://github.com/ietf-llc/strategy-2020-consultation/commit/46a3ee2d5ed8999b4e59ae1bea8d2d79b6744069#diff-ace2c9f1dd155e5220c2a50de0c79018 <https://github.com/ietf-llc/strategy-2020-consultation/commit/46a3ee2d5ed8999b4e59ae1bea8d2d79b6744069#diff-ace2c9f1dd155e5220c2a50de0c79018> 

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: "Martin Thomson" <[email-masked]>
Date: Tue, 26 May 2020 14:45:25 +1000

On Tue, May 26, 2020, at 14:08, Jay Daley wrote:
> There’s only one issue so far that I don’t think I should address, 
> which is adding mission statements for IAB etc, as raised by Martin.

I can live with that.  Thanks Jay.

---

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 27 May 2020 12:02:03 +0000

Hi Jay,

thanks for putting this together and sharing. In general I think it is good and important to have a long term plan and have it clearly documented transparently to the community. Thanks for that!

I finally found the time to review it and I am actually to some extend surprise by some of the content as I would not see that in scope for the LLC. I agree to the general problems that are described but my understanding of who is responsible to address them (even thought that entity might not set up in the most efficient way to address these problems) is different. 

I would think the problem or task of, as it is called in the plan, engagement (of new participants) entirely is a responsibility of the IESG. I understand there is some interconnection with fund raising but that is listed as a different topic in the plan anyway. We have the edu team for that which is managed by the GEN AD. I'm not sure I understand the role of the LLC here.

I have a similar concern regarding tooling. We have the tools team for that. There are more interconnections here because we have payed contractors which are managed by the LLC but the strategy for tools development should come from the tools team and not the LLC. 

As similar point is connected to culture. I don't think it's the LCC responsiblility to set or impact the culture. The text there seems to indicate that the LLC wants to take a task to provide data as background information. That does makes some sense to me for those parts where the LLC is in charge of the data, e.g. meeting and registration stats, but the actual transformation goals seem to target more than that.

Also more generally, rfc8711 does talk about setting the strategic direction for the LLC (not the IETF as a whole) but then focuses mostly on policies, contracts, funding,  and budget in general. Beyond that it further says:

"The role of the Board is to ensure that the strategy and conduct of
   the IETF LLC is consistent with the IETF's needs -- both its concrete
   needs and its needs for transparency and accountability.  The Board
   is not intended to directly define the IETF's needs; to the extent
   that is required, the IETF community should document its needs in
   consensus-based RFCs..."

It seems to me that the first step here would have been to assess the IETF's needs and then only take actions of those needs that were identified and agree on. Was that done? How was that done?

Mirja

On 12.05.20, 04:10, "IETF-Announce on behalf of IETF Executive Director" <[email-masked] on behalf of [email-masked]> wrote:

    The IETF Administration LLC consultation on its Draft Strategic Plan 2020 [1] has been extended until Monday 1 June 2020.  It will be extended again if required.

    The strategic plan is made up of the following elements, all of which are being presented for comment:

    1. **Mission**.  This is a literal definition of what the IETF LLC does.  The mission rarely changes in the lifetime of the company.
    2. **Values**.  These define how the company behaves as it follows its mission. These may change over time to reflect broader social changes.
    3. **Strategic Goals**.  The highest priority goals of the IETF LLC.  These may be short-, medium- or long-term goals or a mix.  These are the big picture of what the IETF LLC is aiming to do in the next 3-5 years and so are the key setting that the board expects the company to follow.
    4. **Strategic Transformations**.  These detail the changes that need to be made in order to achieve the strategic goals.   Each transformation details the current state and the desired state to transform into. These transformations should be achievable within 1-3 years.

    If you have any comments or questions then you can submit those by any of the following methods:

    * Raising an issue on the Github repository
    * Direct to me at [email-masked]
    * Direct to the IETF LLC Board (not including me) at [email-masked] 
    * To the [email-masked] list

    [1] https://protect2.fireeye.com/v1/url?k=176874e0-49c89474-1768347b-86d2114eab2f-db5ad70b7ba2fdf8&q=1&e=ccec3144-9dae-4ac5-8754-8c888735b5b8&u=https%3A%2F%2Fgithub.com%2Fietf-llc%2Fstrategy-2020-consultation%2Fblob%2Fmaster%2FDRAFT%2520Strategic%2520Plan%25202020.md

    -- 
    Jay Daley
    IETF Executive Director
    [email-masked]

    _______________________________________________
    IETF-Announce mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/ietf-announce

---

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 27 May 2020 13:25:32 +0000

Hi again,

I forgot one more (smaller) point. Transformation 18 on fully virtual meetings seem to be a bit outdated by now: "Form: Unclear what form of a fully virtual meeting we can support, if any, and how long it would take to arrange"

Mirja

On 27.05.20, 14:02, "ietf on behalf of Mirja Kuehlewind" <[email-masked] on behalf of mirja.kuehlewind=[email-masked]> wrote:

    Hi Jay,

    Mirja

        [1] https://github.com/ietf-llc/strategy-2020-consultation/blob/master/DRAFT%20Strategic%20Plan%202020.md

        -- 
        Jay Daley
        IETF Executive Director
        [email-masked]

---

From: Jay Daley <[email-masked]>
Date: Thu, 28 May 2020 15:49:51 +1200

Thanks Mirja

I think all of this has been captured as issues in response to previous feedback and so I’m only adding one new issues to the tracker, which is from your follow-up email about transformation #18. 

	https://github.com/ietf-llc/strategy-2020-consultation/issues/33

Jay

> On 28/05/2020, at 12:02 AM, Mirja Kuehlewind <mirja.kuehlewind=[email-masked]> wrote:
> 
> Hi Jay,
> 
> On 12.05.20, 04:10, "IETF-Announce on behalf of IETF Executive Director" <[email-masked] <mailto:[email-masked]> on behalf of [email-masked] <mailto:[email-masked]>> wrote:
> 
>    [1] https://protect2.fireeye.com/v1/url?k=176874e0-49c89474-1768347b-86d2114eab2f-db5ad70b7ba2fdf8&q=1&e=ccec3144-9dae-4ac5-8754-8c888735b5b8&u=https%3A%2F%2Fgithub.com%2Fietf-llc%2Fstrategy-2020-consultation%2Fblob%2Fmaster%2FDRAFT%2520Strategic%2520Plan%25202020.md <https://protect2.fireeye.com/v1/url?k=176874e0-49c89474-1768347b-86d2114eab2f-db5ad70b7ba2fdf8&q=1&e=ccec3144-9dae-4ac5-8754-8c888735b5b8&u=https%3A%2F%2Fgithub.com%2Fietf-llc%2Fstrategy-2020-consultation%2Fblob%2Fmaster%2FDRAFT%2520Strategic%2520Plan%25202020.md>
> 
>    -- 
>    Jay Daley
>    IETF Executive Director
>    [email-masked] <mailto:[email-masked]>
> 
>    [email-masked] <mailto:[email-masked]>
>    https://www.ietf.org/mailman/listinfo/ietf-announce <https://www.ietf.org/mailman/listinfo/ietf-announce>
-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Mirja Kuehlewind <[email-masked]>
Date: Thu, 28 May 2020 09:03:03 +0000

Hi Jay,

I didn’t look at the issue below, however, I also don’t really feel that my point are covered.

Further, while the ultimate point of the review is of course to potentially adapt the strategic plan, I would first like to get answers to the questions of who is responsible for things like participation “journey”/edu, culture, and tools and also how and if needs have been gather as described in RFC8711?

Thanks!
Mirja

From: Jay Daley <[email-masked]>
Date: Thursday, 28. May 2020 at 05:50
To: Mirja Kuehlewind <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: Extended: Consultation on IETF LLC Draft Strategic Plan 2020

Thanks Mirja

https://github.com/ietf-llc/strategy-2020-consultation/issues/33<https://protect2.fireeye.com/v1/url?k=203a46f6-7e9a84b0-203a066d-86fc6812c361-1adf241d7337db7f&q=1&e=18400bc3-be06-4464-aff1-cedd503c00f7&u=https%3A%2F%2Fgithub.com%2Fietf-llc%2Fstrategy-2020-consultation%2Fissues%2F33>

Jay

On 28/05/2020, at 12:02 AM, Mirja Kuehlewind <mirja.kuehlewind=[email-masked]<mailto:mirja.kuehlewind=[email-masked]>> wrote:

Hi Jay,

Mirja

On 12.05.20, 04:10, "IETF-Announce on behalf of IETF Executive Director" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

   * Raising an issue on the Github repository
   * Direct to me at [email-masked]<mailto:[email-masked]>
   * Direct to the IETF LLC Board (not including me) at [email-masked]<mailto:[email-masked]>
   * To the [email-masked]<mailto:[email-masked]> list

   --
   Jay Daley
   IETF Executive Director
   [email-masked]<mailto:[email-masked]>

   _______________________________________________
   IETF-Announce mailing list
   [email-masked]<mailto:[email-masked]>
   https://www.ietf.org/mailman/listinfo/ietf-announce

--
Jay Daley
IETF Executive Director
[email-masked]<mailto:[email-masked]>

---

From: Jay Daley <[email-masked]>
Date: Fri, 29 May 2020 11:31:06 +1200

> On 28/05/2020, at 9:03 PM, Mirja Kuehlewind <[email-masked]> wrote:
> 
> Hi Jay,
>  

I’ve provided more details below

>  
> Further, while the ultimate point of the review is of course to potentially adapt the strategic plan, I would first like to get answers to the questions of who is responsible for things like participation “journey”/edu, culture, and tools

Again, see the details below.

> and also how and if needs have been gather as described in RFC8711?

As RFC 8711 notes "the IETF community should document its needs in consensus-based RFCs" and so the assessment of needs comes from reading the documented consensus RFCs.

However, there are plenty of gaps in those and so some text was proposed on how to bridge that gap:

	 "As the IETF LLC is a support organisation to the IETF/IRTF/IAB, the strategic goals should ideally reflect their strategic goals.  However, as those are neither well understood nor well defined, some assumptions are required."

There was feedback that this was insufficient, which has been captured in:

- https://github.com/ietf-llc/strategy-2020-consultation/issues/10 <https://github.com/ietf-llc/strategy-2020-consultation/issues/10> "Needs explicit recognition that the LLC strategy will shift to follow the IETF consensus"
- https://github.com/ietf-llc/strategy-2020-consultation/issues/24 <https://github.com/ietf-llc/strategy-2020-consultation/issues/24> "Introduction to Strategic Goals needs clarification regarding how it deals with IETF/IRTF/IAB not having specific strategic goals"

I have proposed addressing those by adding a Linkages section and including in that better text.  The full change is at https://github.com/ietf-llc/strategy-2020-consultation/commit/46a3ee2d5ed8999b4e59ae1bea8d2d79b6744069#diff-ace2c9f1dd155e5220c2a50de0c79018 <https://github.com/ietf-llc/strategy-2020-consultation/commit/46a3ee2d5ed8999b4e59ae1bea8d2d79b6744069#diff-ace2c9f1dd155e5220c2a50de0c79018> 

Additionally, the link to ensure that the primacy of consensus RFCs is followed is in the 'responsive' value: "The LLC will act consistently with the documented consensus of the IETF community, adapt its decisions in response to consensus-based community guidance, and engage with the community to obtain consensus-based guidance for how it operates where none exists.".

>> I finally found the time to review it and I am actually to some extend surprise by some of the content as I would not see that in scope for the LLC. I agree to the general problems that are descri…

Noted and the intent of consulting on it is to flush out those problems and try to fix them.  
>> I would think the problem or task of, as it is called in the plan, engagement (of new participants) entirely is a responsibility of the IESG. I understand there is some interconnection with fund r…

Previously captured in

- https://github.com/ietf-llc/strategy-2020-consultation/issues/4 <https://github.com/ietf-llc/strategy-2020-consultation/issues/4> "Strategic goal #4 about understanding the value of the IETF is too broad"
- https://github.com/ietf-llc/strategy-2020-consultation/issues/5 <https://github.com/ietf-llc/strategy-2020-consultation/issues/5> "Narrative for Engagement Transformations needs to identify what is community-led and what is LLC-led"
- https://github.com/ietf-llc/strategy-2020-consultation/issues/14 <https://github.com/ietf-llc/strategy-2020-consultation/issues/14> "Strategic goal #4 about value needs to be more specific about who is targeted"
- https://github.com/ietf-llc/strategy-2020-consultation/issues/26 <https://github.com/ietf-llc/strategy-2020-consultation/issues/26> "Narrative for strategic transformation #4 needs to be clearer that ideally the community will take the lead and define the content"

>> I have a similar concern regarding tooling. We have the tools team for that. There are more interconnections here because we have payed contractors which are managed by the LLC but the strategy fo…

Previously captured in:

- https://github.com/ietf-llc/strategy-2020-consultation/issues/6 <https://github.com/ietf-llc/strategy-2020-consultation/issues/6> "Strategic goal #6 about the toolchain needs adjusting to clarify vision"
- https://github.com/ietf-llc/strategy-2020-consultation/issues/30 <https://github.com/ietf-llc/strategy-2020-consultation/issues/30> "Tools Transformations need to be written in terms of implementing requirements of the TAS"

>> As similar point is connected to culture. I don't think it's the LCC responsiblility to set or impact the culture. The text there seems to indicate that the LLC wants to take a task to provide dat…
I guessed that the transformation you are referring to are those about LLC operations and therefore the issue you raise was previously raised and captured in:

- https://github.com/ietf-llc/strategy-2020-consultation/issues/19 <https://github.com/ietf-llc/strategy-2020-consultation/issues/19> "Need to be clear that Operations Transformations are about the operations of the LLC only"

>> It seems to me that the first step here would have been to assess the IETF's needs and then only take actions of those needs that were identified and agree on. Was that done? How was that done?

Answered above.

Finally, for clarity, the GitHub issues above are capturing the feedback raised and the next step is to propose new text to address that feedback.  This has been done for some of the issues with more to follow and I can then ask for feedback on the updated strategic plan.

Jay

-- 
Jay Daley
IETF Executive Director
[email-masked]